org.eclipse.rdf4j.query.algebra.evaluation.iterator

## Class SilentIteration

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,X>
  - - org.eclipse.rdf4j.common.iteration.IterationWrapper<T,E>
    - - org.eclipse.rdf4j.common.iteration.SilentIteration<BindingSet,QueryEvaluationException>
      - - org.eclipse.rdf4j.query.algebra.evaluation.iterator.SilentIteration

- All Implemented Interfaces:
    AutoCloseable, CloseableIteration<BindingSet,QueryEvaluationException>, Iteration<BindingSet,QueryEvaluationException>

  Deprecated.
  since 3.1.2. Use `SilentIteration` instead.

      @Deprecated
       @InternalUseOnly
      public class SilentIteration
      extends SilentIteration<BindingSet,QueryEvaluationException>

  Wrap an inner iteration and suppress exceptions silently
  Author:
    Andreas Schwarte

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.common.iteration.IterationWrapper

      `wrappedIter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SilentIteration(CloseableIteration<BindingSet,QueryEvaluationException> iter)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.SilentIteration

      `handleClose, hasNext, next`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.IterationWrapper

      `remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Constructor Detail

    - #### SilentIteration

          public SilentIteration(CloseableIteration<BindingSet,QueryEvaluationException> iter)

      Deprecated.

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.